package meta

import (
	"os"
	"path/filepath"
	"strconv"
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-node/pkg/local_object_storage/internal/storagetest"
)

func TestGeneric(t *testing.T) {
	t.Parallel()

	defer func() { _ = os.RemoveAll(t.Name()) }()

	var n int
	newMetabase := func(t *testing.T) storagetest.Component {
		n++
		dir := filepath.Join(t.Name(), strconv.Itoa(n))
		return New(
			WithEpochState(epochStateImpl{}),
			WithPath(dir))
	}

	storagetest.TestAll(t, newMetabase)
}
